%global pypi_name yarl

Summary:        Python module to handle URLs
Name:           python-%{pypi_name}
Version:        1.9.2
Release:        3%{?dist}
License:        ASL 2.0
URL:            https://yarl.readthedocs.io
Source0:        https://github.com/aio-libs/yarl/archive/v%{version}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  gcc

%description
The module provides handy URL class for URL parsing and changing.

%package -n python3-%{pypi_name}
Summary:        Python module to handle URLs
BuildRequires:  python3-devel python3dist(setuptools) python3-Cython python3dist(pytest) python3dist(multidict) python3dist(idna)

%description -n python3-%{pypi_name}
The module provides handy URL class for URL parsing and changing.

%prep
%autosetup -n %{pypi_name}-%{version}
sed -e '/addopts/d' -i setup.cfg

%build
%{python3} -m cython -3 -o yarl/_quoting_c.c yarl/_quoting_c.pyx -I yarl

%py3_build

%install
%py3_install

%check
# https://github.com/aio-libs/yarl/issues/894
%pytest -v tests \
%if "%{python3_version}" >= "3.11"
        -k "not test_ipv6_zone and \
            not test_human_repr_delimiters and \
            not test_masked_ipv4 and \
            not test_strange_ip and \
            not test_weird_user3" \
%endif
        %{nil}

%files -n python3-%{pypi_name}
%license LICENSE
%doc CHANGES.rst README.rst
%{python3_sitearch}/%{pypi_name}/
%{python3_sitearch}/%{pypi_name}-*.egg-info/

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.2-3
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.2-2
- Rebuilt for python 3.11

* Wed Sep 13 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.9.2-1
- Upgrade to upstream version 1.9.2 
- Disable some tests until upstream adapts to changes in python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 Shuo Wang <abushwang@tencent.com> - 1.8.2-1
- initial build
